export const PageComponents = {
    install(Vue: any, opt: any) {
                Vue.component('meta-relationship-edit-grid-view', () => import('@pages/lite/meta-relationship-edit-grid-view/meta-relationship-edit-grid-view.vue'));
        Vue.component('dachart-grid-view', () => import('@pages/analysis/dachart-grid-view/dachart-grid-view.vue'));
        Vue.component('exec-result-grid-view', () => import('@pages/rule/exec-result-grid-view/exec-result-grid-view.vue'));
        Vue.component('meta-model-pickup-view', () => import('@pages/lite/meta-model-pickup-view/meta-model-pickup-view.vue'));
        Vue.component('meta-data-set-grid-view', () => import('@pages/lite/meta-data-set-grid-view/meta-data-set-grid-view.vue'));
        Vue.component('meta-field-pickup-view', () => import('@pages/lite/meta-field-pickup-view/meta-field-pickup-view.vue'));
        Vue.component('meta-module-pickup-view', () => import('@pages/lite/meta-module-pickup-view/meta-module-pickup-view.vue'));
        Vue.component('meta-field-pickup-grid-view', () => import('@pages/lite/meta-field-pickup-grid-view/meta-field-pickup-grid-view.vue'));
        Vue.component('rule-item-grid-view', () => import('@pages/rule/rule-item-grid-view/rule-item-grid-view.vue'));
        Vue.component('dst-data-source-pickup-view', () => import('@pages/lite/dst-data-source-pickup-view/dst-data-source-pickup-view.vue'));
        Vue.component('dst-system-edit-view', () => import('@pages/lite/dst-system-edit-view/dst-system-edit-view.vue'));
        Vue.component('meta-model-pickup-grid-view', () => import('@pages/lite/meta-model-pickup-grid-view/meta-model-pickup-grid-view.vue'));
        Vue.component('meta-relationship-edit-view', () => import('@pages/lite/meta-relationship-edit-view/meta-relationship-edit-view.vue'));
        Vue.component('dabuild-grid-view', () => import('@pages/analysis/dabuild-grid-view/dabuild-grid-view.vue'));
        Vue.component('meta-module-pickup-grid-view', () => import('@pages/lite/meta-module-pickup-grid-view/meta-module-pickup-grid-view.vue'));
        Vue.component('meta-field-edit-view', () => import('@pages/lite/meta-field-edit-view/meta-field-edit-view.vue'));
        Vue.component('dametric-grid-view', () => import('@pages/analysis/dametric-grid-view/dametric-grid-view.vue'));
        Vue.component('dareport-grid-view', () => import('@pages/analysis/dareport-grid-view/dareport-grid-view.vue'));
        Vue.component('meta-entity-pickup-view', () => import('@pages/lite/meta-entity-pickup-view/meta-entity-pickup-view.vue'));
        Vue.component('exec-log-edit-view', () => import('@pages/rule/exec-log-edit-view/exec-log-edit-view.vue'));
        Vue.component('rule-engine-edit-view', () => import('@pages/rule/rule-engine-edit-view/rule-engine-edit-view.vue'));
        Vue.component('dst-data-source-pickup-grid-view', () => import('@pages/lite/dst-data-source-pickup-grid-view/dst-data-source-pickup-grid-view.vue'));
        Vue.component('rule-engine-grid-view', () => import('@pages/rule/rule-engine-grid-view/rule-engine-grid-view.vue'));
        Vue.component('exec-log-grid-view', () => import('@pages/rule/exec-log-grid-view/exec-log-grid-view.vue'));
        Vue.component('dst-system-grid-view', () => import('@pages/lite/dst-system-grid-view/dst-system-grid-view.vue'));
        Vue.component('rule-item-edit-view', () => import('@pages/rule/rule-item-edit-view/rule-item-edit-view.vue'));
        Vue.component('dareport-edit-view', () => import('@pages/analysis/dareport-edit-view/dareport-edit-view.vue'));
        Vue.component('meta-model-edit-view', () => import('@pages/lite/meta-model-edit-view/meta-model-edit-view.vue'));
        Vue.component('meta-relationship-pickup-view', () => import('@pages/lite/meta-relationship-pickup-view/meta-relationship-pickup-view.vue'));
        Vue.component('meta-data-set-edit-view', () => import('@pages/lite/meta-data-set-edit-view/meta-data-set-edit-view.vue'));
        Vue.component('dabuild-edit-view', () => import('@pages/analysis/dabuild-edit-view/dabuild-edit-view.vue'));
        Vue.component('meta-relationship-pickup-grid-view', () => import('@pages/lite/meta-relationship-pickup-grid-view/meta-relationship-pickup-grid-view.vue'));
        Vue.component('meta-model-grid-view', () => import('@pages/lite/meta-model-grid-view/meta-model-grid-view.vue'));
        Vue.component('dst-data-source-edit-view', () => import('@pages/lite/dst-data-source-edit-view/dst-data-source-edit-view.vue'));
        Vue.component('meta-entity-pickup-grid-view', () => import('@pages/lite/meta-entity-pickup-grid-view/meta-entity-pickup-grid-view.vue'));
        Vue.component('rule-item-pickup-grid-view', () => import('@pages/rule/rule-item-pickup-grid-view/rule-item-pickup-grid-view.vue'));
        Vue.component('meta-entity-edit-view', () => import('@pages/lite/meta-entity-edit-view/meta-entity-edit-view.vue'));
        Vue.component('rule-item-pickup-view', () => import('@pages/rule/rule-item-pickup-view/rule-item-pickup-view.vue'));
        Vue.component('meta-model-file-upload-option-view', () => import('@pages/lite/meta-model-file-upload-option-view/meta-model-file-upload-option-view.vue'));
        Vue.component('dst-data-source-grid-view', () => import('@pages/lite/dst-data-source-grid-view/dst-data-source-grid-view.vue'));
        Vue.component('meta-field-edit-grid-view', () => import('@pages/lite/meta-field-edit-grid-view/meta-field-edit-grid-view.vue'));
        Vue.component('dametric-edit-view', () => import('@pages/analysis/dametric-edit-view/dametric-edit-view.vue'));
        Vue.component('exec-result-edit-view', () => import('@pages/rule/exec-result-edit-view/exec-result-edit-view.vue'));
        Vue.component('dachart-edit-view', () => import('@pages/analysis/dachart-edit-view/dachart-edit-view.vue'));
        Vue.component('meta-entity-grid-view', () => import('@pages/lite/meta-entity-grid-view/meta-entity-grid-view.vue'));
    }
};